Applications
List application streams
List all active streams for an application. Requires applications:read (workspace key) or application:read (application key) scope.
GET
/applications/{application_id}/streamsAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Path Parameters
application_id*string
Application ID.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.comapplications/aBc1234/streams" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Application streams retrieved successfully.", "data": [ { "id": "stR4567", "name": "nightlies", "description": "Nightly development builds", "retention_days": 30, "created_at": "2025-06-10T09:15:00.000000Z", "updated_at": "2025-06-15T14:30:00.000000Z" } ]}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}